Bug 1275123 - [abrt] gnome-screenshot: screenshot_fallback_get_pixbuf(): gnome-screenshot killed by SIGSEGV
[abrt] gnome-screenshot: screenshot_fallback_get_pixbuf(): gnome-screenshot k...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-screenshot (Show other bugs)
23
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:3c30f906af85d0f049ea0cb6556...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-25 20:36 EDT by Ashley Towns
Modified: 2016-12-20 10:09 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 10:09:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (56.88 KB, text/plain)
2015-10-25 20:36 EDT, Ashley Towns
no flags Details
File: cgroup (190 bytes, text/plain)
2015-10-25 20:36 EDT, Ashley Towns
no flags Details
File: core_backtrace (2.92 KB, text/plain)
2015-10-25 20:36 EDT, Ashley Towns
no flags Details
File: dso_list (7.70 KB, text/plain)
2015-10-25 20:36 EDT, Ashley Towns
no flags Details
File: environ (3.87 KB, text/plain)
2015-10-25 20:36 EDT, Ashley Towns
no flags Details
File: exploitable (82 bytes, text/plain)
2015-10-25 20:36 EDT, Ashley Towns
no flags Details
File: limits (1.29 KB, text/plain)
2015-10-25 20:36 EDT, Ashley Towns
no flags Details
File: maps (36.01 KB, text/plain)
2015-10-25 20:36 EDT, Ashley Towns
no flags Details
File: mountinfo (3.29 KB, text/plain)
2015-10-25 20:36 EDT, Ashley Towns
no flags Details
File: namespaces (85 bytes, text/plain)
2015-10-25 20:37 EDT, Ashley Towns
no flags Details
File: open_fds (747 bytes, text/plain)
2015-10-25 20:37 EDT, Ashley Towns
no flags Details
File: proc_pid_status (1019 bytes, text/plain)
2015-10-25 20:37 EDT, Ashley Towns
no flags Details

  None (edit)
Description Ashley Towns 2015-10-25 20:36:38 EDT
Description of problem:
Cinnamon Spin, FC23

Pressing print screen, or running gnome-screenshot directly and selecting a window to screenshot (fullscreen works)

Version-Release number of selected component:
gnome-screenshot-3.18.0-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        gnome-screenshot -w -d 3
crash_function: screenshot_fallback_get_pixbuf
executable:     /usr/bin/gnome-screenshot
global_pid:     27923
kernel:         4.2.3-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1337

Truncated backtrace:
Thread no. 1 (6 frames)
 #0 screenshot_fallback_get_pixbuf at screenshot-utils.c:508
 #1 screenshot_get_pixbuf at screenshot-utils.c:660
 #2 finish_prepare_screenshot at screenshot-application.c:497
 #3 prepare_screenshot_timeout at screenshot-application.c:595
 #8 g_main_context_iteration at gmain.c:3901
 #9 g_application_run at gapplication.c:2311

Potential duplicate: bug 1118815
Comment 1 Ashley Towns 2015-10-25 20:36:43 EDT
Created attachment 1086341 [details]
File: backtrace
Comment 2 Ashley Towns 2015-10-25 20:36:45 EDT
Created attachment 1086342 [details]
File: cgroup
Comment 3 Ashley Towns 2015-10-25 20:36:47 EDT
Created attachment 1086343 [details]
File: core_backtrace
Comment 4 Ashley Towns 2015-10-25 20:36:49 EDT
Created attachment 1086344 [details]
File: dso_list
Comment 5 Ashley Towns 2015-10-25 20:36:50 EDT
Created attachment 1086345 [details]
File: environ
Comment 6 Ashley Towns 2015-10-25 20:36:53 EDT
Created attachment 1086346 [details]
File: exploitable
Comment 7 Ashley Towns 2015-10-25 20:36:54 EDT
Created attachment 1086347 [details]
File: limits
Comment 8 Ashley Towns 2015-10-25 20:36:57 EDT
Created attachment 1086348 [details]
File: maps
Comment 9 Ashley Towns 2015-10-25 20:36:58 EDT
Created attachment 1086349 [details]
File: mountinfo
Comment 10 Ashley Towns 2015-10-25 20:37:00 EDT
Created attachment 1086350 [details]
File: namespaces
Comment 11 Ashley Towns 2015-10-25 20:37:01 EDT
Created attachment 1086351 [details]
File: open_fds
Comment 12 Ashley Towns 2015-10-25 20:37:03 EDT
Created attachment 1086352 [details]
File: proc_pid_status
Comment 13 Ashley Towns 2015-10-25 21:38:58 EDT
Upstream bug: https://bugzilla.gnome.org/show_bug.cgi?id=737229
Comment 14 leigh scott 2015-12-14 04:46:01 EST
Another user experienced a similar problem:

Trying to use gnome-screenshot to take picture of current window in cinnamon.

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-screenshot --gapplication-service
crash_function: screenshot_fallback_get_pixbuf
executable:     /usr/bin/gnome-screenshot
global_pid:     13954
kernel:         4.2.7-300.fc23.x86_64
package:        gnome-screenshot-3.18.0-1.fc23
reason:         gnome-screenshot killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 15 Fedora End Of Life 2016-11-24 07:54:47 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 Fedora End Of Life 2016-12-20 10:09:26 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.